package com.yd.api.practitioner.vo.recruit;

import java.util.Date;

public class PractitionerPotentialInfo {
    private Long potentialId;
    private String name;
    private Integer gender;
    private Long age;
    private String mobileNo;
    private String wechatId;
    private String qqId;
    private String othersContacts;
    private String educationLevel;
    private Long resourceDropMasterId;
    private String resourceDropMasterName;
    private String introducer;
    private String tag;
    private String remark;
    private String ossPathResume;
    private Long trackStatusId;
    private String trackStatus;
    private Long trackId;
    private String createdAt;
    private Date updateAt;
    private String timeToOnboarding;
    private Long hiringBasicInfoId;

    public Long getPotentialId() {
        return potentialId;
    }

    public void setPotentialId(Long potentialId) {
        this.potentialId = potentialId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Long getAge() {
        return age;
    }

    public void setAge(Long age) {
        this.age = age;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    public String getWechatId() {
        return wechatId;
    }

    public void setWechatId(String wechatId) {
        this.wechatId = wechatId;
    }

    public String getQqId() {
        return qqId;
    }

    public void setQqId(String qqId) {
        this.qqId = qqId;
    }

    public String getOthersContacts() {
        return othersContacts;
    }

    public void setOthersContacts(String othersContacts) {
        this.othersContacts = othersContacts;
    }

    public String getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(String educationLevel) {
        this.educationLevel = educationLevel;
    }

    public Long getResourceDropMasterId() {
        return resourceDropMasterId;
    }

    public void setResourceDropMasterId(Long resourceDropMasterId) {
        this.resourceDropMasterId = resourceDropMasterId;
    }

    public String getResourceDropMasterName() {
        return resourceDropMasterName;
    }

    public void setResourceDropMasterName(String resourceDropMasterName) {
        this.resourceDropMasterName = resourceDropMasterName;
    }

    public String getIntroducer() {
        return introducer;
    }

    public void setIntroducer(String introducer) {
        this.introducer = introducer;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOssPathResume() {
        return ossPathResume;
    }

    public void setOssPathResume(String ossPathResume) {
        this.ossPathResume = ossPathResume;
    }

    public Long getTrackStatusId() {
        return trackStatusId;
    }

    public void setTrackStatusId(Long trackStatusId) {
        this.trackStatusId = trackStatusId;
    }

    public String getTrackStatus() {
        return trackStatus;
    }

    public void setTrackStatus(String trackStatus) {
        this.trackStatus = trackStatus;
    }

    public Long getTrackId() {
        return trackId;
    }

    public void setTrackId(Long trackId) {
        this.trackId = trackId;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getTimeToOnboarding() {
        return timeToOnboarding;
    }

    public void setTimeToOnboarding(String timeToOnboarding) {
        this.timeToOnboarding = timeToOnboarding;
    }

    public Date getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(Date updateAt) {
        this.updateAt = updateAt;
    }

    public Long getHiringBasicInfoId() {
        return hiringBasicInfoId;
    }

    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }
}
